# Uses of Class
com.logicaldoc.core.document.TagCloud

Packages that use TagCloud
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of TagCloud in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return types with arguments of type TagCloud
Modifier and Type
Method
Description
`List<TagCloud>`
DocumentDAO.`getTagCloud(long tenantId, int max)`
Gets the tag cloud for the given tenant
`List<TagCloud>`
DocumentDAO.`getTagCloud(String sid)`
Gets the tag cloud for the given tenant
`List<TagCloud>`
HibernateDocumentDAO.`getTagCloud(long tenantId, int maxTags)`
`List<TagCloud>`
HibernateDocumentDAO.`getTagCloud(String sid)`
Methods in com.logicaldoc.core.document with parameters of type TagCloud
Modifier and Type
Method
Description
`int`
TagCloud.`compareTo(TagCloud o)`